<?php
$sql = "SELECT * FROM Admin WHERE User = \"" . $_POST['User'] . "\";";
$result = $db->query($sql);
if ("0" != $result->num_rows)
{
	die ("<h1>User bereits vorhanden.</h1>\n");
}

$pool = "qwertzupasdfghkyxcvbnm";
$pool .= "23456789";
$pool .= "WERTZUPLKJHGFDSAYXCVBNM";
srand((double)microtime() * 1000000);
for ($index = 0; $index < 8; $index++)
{
	$aktivierung .= substr($pool, (rand() % (strlen($pool))), 1);
}

if ("start_00" == $_POST['prod'])
{
	$Werbung = 0;
	$KfZ = 0;
}
elseif ("start_01" == $_POST['prod'])
{
	$Werbung = 1;
	$KfZ = 0;
}
elseif ("start_02" == $_POST['prod'])
{
	$Werbung = 2;
	$KfZ = 0;
}
$sql = "INSERT INTO Firma (ID, Firma_Name, Vertreter, Adresse, PLZ, Ort, Land, Telefon, Mobil, Email, ASP, Anzeige_Browser, Stellen, Skonto, Aktivierung, Werbung, KfZ) VALUES
				(NULL,
				'" . $_POST['Firma_Name'] . "',
				'" . $_POST['Vorname'] . " " . $_POST['Nachname'] . "',
				'" . $_POST['Strasse'] . " " . $_POST['Nummer'] . "',
				'" . $_POST['PLZ'] . "',
				'" . $_POST['Ort'] . "',
				'" . $_POST['Land'] . "',
				'" . $_POST['Telefon'] . "',
				'" . $_POST['Mobil'] . "',
				'" . $_POST['Email'] . "',
				'1',
				'1',
				'5',
				'<p>Bei Bezahlung bis [Skonto_Gültig] nach Rechnungsdatum erlauben wir Ihnen [Skonto_Prozent] % vom Endbetrag abzuziehen. Das entspricht [Skonto_Betrag] €.</p>',
				'" . $aktivierung . "',
				'" . $Werbung . "',
				'" . $KfZ . "');";
$stmt = $db->prepare($sql);
if (!$stmt)
{
	die('Firma konnte nicht angelegt werden: ' . $db->error);
}
if (!$stmt->execute())
{
	die('Firma konnte nicht angelegt werden: ' . $stmt->error);
}

$sql = 'SELECT last_insert_id() AS last';
$result = $db->query($sql);
$nt = $result->fetch_assoc();
$new_id = $nt['last'];